# $Revision: 1.19 $, $Date: 2002/09/26 16:22:51 $
#
# Conditional build:
# _without_tests - do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	File
%define	pnam	CounterFile
Summary:	File::CounterFile Perl module
Summary(cs):	Modul File::CounterFile pro Perl
Summary(da):	Perlmodul File::CounterFile
Summary(de):	File::CounterFile Perl Modul
Summary(es):	Mdulo de Perl File::CounterFile
Summary(fr):	Module Perl File::CounterFile
Summary(it):	Modulo di Perl File::CounterFile
Summary(ja):	File::CounterFile Perl ⥸塼
Summary(ko):	File::CounterFile  
Summary(no):	Perlmodul File::CounterFile
Summary(pl):	Modu Perla File::CounterFile
Summary(pt):	Mdulo de Perl File::CounterFile
Summary(pt_BR):	Mdulo Perl File::CounterFile
Summary(ru):	  Perl File::CounterFile
Summary(sv):	File::CounterFile Perlmodul
Summary(uk):	  Perl File::CounterFile
Summary(zh_CN):	File::CounterFile Perl ģ
Name:		perl-File-CounterFile
Version:	1.00
Release:	1
License:	GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File::CounterFile - Persistent counter class.

%description -l pl
Modu perla File::CounterFile.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make}
%{!?_without_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitelib}/File/CounterFile.pm
%{_mandir}/man3/*

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-File-CounterFile.spec,v $
Revision 1.19  2002/09/26 16:22:51  ankry
- added tests on bcond
- translations, cleaning
- version 1.00, release 1

Revision 1.18  2002/07/10 08:47:09  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.17  2002/05/11 14:28:07  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/02/25 10:31:20  depesz
cleanup; revision++

Revision 1.15  2002/02/22 23:29:27  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/13 14:13:56  depesz
automatic: Source location unified, Relase Up

Revision 1.13  2002/02/10 15:26:04  depesz
adapterized

Revision 1.12  2002/01/18 02:14:17  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.11  2001/11/28 15:20:16  mis
- buildarch noarch; release++

Revision 1.10  2001/04/17 12:08:48  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.9  2001/04/14 18:00:06  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.8  2001/01/03 21:13:52  kloczek
- release 4: rebuild against perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:46  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:36  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/18 23:50:15  kloczek
- spec adapterized.

Revision 1.4  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:54:51  baggins
- translated kloczkish into english

Revision 1.2  1999/11/05 16:52:51  pius
- added '%%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 19:29:03  pius
- initial release
